/**
 * @license
 * Visual Blocks Editor
 *
 * Copyright 2012 Google Inc.
 * https://developers.google.com/blockly/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @fileoverview dbkBlocks On Blockly.
 * @author Rubens Queiroz
 */
'use strict';

goog.provide('Blockly.Blocks.sensores');
goog.require('Blockly.Blocks');

var cor_sensores = 65;

/**
 Blockly.Blocks['sensor_cor'] = {
  init: function() {
	  
    var cores_sensor = new Blockly.FieldColour("#ff0000");
    cores_sensor.setColours(['#0f0','#00f','#f00','#000','#fff']).setColumns(5);
	  
    this.setHelpUrl('http://www.example.com/');
    this.setColour(cor_sensores);
    this.appendDummyInput()
	    .appendField(new Blockly.FieldImage("../blockly/blocks/db4k/icons/sensor_cor.png", 40, 40, "*"))
        .appendField("Cor")
        .appendField(new Blockly.FieldDropdown([["igual a", "igual"], ["diferende de", "diferente"]]), "operador")
        .appendField(cores_sensor, "cor")
		.appendField(new Blockly.FieldImage("../blockly/blocks/db4k/icons/invisible.png",1, 40, "*"));
    this.setInputsInline(true);
    this.setOutput(true);
    this.setTooltip('');
  }
};

**/
Blockly.Blocks['sensor_luz'] = {
  init: function() {
	var val_1 = '\u25CF' + "  " + "Pouca";
	var val_2 = '\u25CB' + "  " + "Muita";
    this.setHelpUrl('http://www.example.com/');
    this.setColour(cor_sensores);
    this.appendDummyInput()
	    .appendField(new Blockly.FieldImage("../blockly/blocks/db4k/icons/sensor_luz.png", 40, 40, "*"))
	    .appendField(new Blockly.FieldDropdown([[val_2, "muita"],[val_1, "pouca"]]), "luminosidade")
        .appendField("Luz")
		.appendField(new Blockly.FieldImage("../blockly/blocks/db4k/icons/invisible.png", 8, 40, "*"));
    this.setInputsInline(true);
    this.setOutput(true);
    this.setTooltip('');
  }
};

Blockly.Blocks['sensor_distancia'] = {
  init: function() {
    this.setHelpUrl('http://www.example.com/');
    this.setColour(cor_sensores);
    this.appendDummyInput()
	    .appendField(new Blockly.FieldImage("../blockly/blocks/db4k/icons/sensor_distancia.png", 40, 40, "*"))
        .appendField("Distância")
        .appendField(new Blockly.FieldDropdown([["> maior que", "maior"],["< menor que", "menor"]]), "operador")
        .appendField(new Blockly.FieldTextInput("10", Blockly.FieldTextInput.numberValidator), "distancia")	
        .appendField("cm");
    this.setInputsInline(true);
    this.setOutput(true);
    this.setTooltip('');
  }
};
  
Blockly.Blocks['sensor_temperatura'] = {
  init: function() {
	var val_1 = '\u25CF' + "  " + "Baixa";
	var val_2 = '\u25CB' + "  " + "Alta";
	var graus_centigrados = 'C';
    this.setHelpUrl('http://www.example.com/');
    this.setColour(cor_sensores);
    this.appendDummyInput()
        .appendField(new Blockly.FieldImage("../blockly/blocks/db4k/icons/sensor_temperatura.png", 40, 40, "*"))
        .appendField("Temperatura")
        .appendField(new Blockly.FieldDropdown([[val_2,"alta"],[val_1,"baixa"]]), "operador");
    this.setInputsInline(true);
    this.setOutput(true);
    this.setTooltip('');
  }
};

Blockly.Blocks['sensor_linha'] = {
  init: function() {
	var val_pouco = '\u25CF' + "  " + "Pouco";
    var val_muito = '\u25CB' +  "  " +  "Muito";
    var val_direito = "Direito " + '\u25BA';
    var val_esquerdo = '\u25C4' + " Esquerdo";
	this.setColour(cor_sensores);
    this.appendDummyInput()
	    .appendField(new Blockly.FieldImage("../blockly/blocks/db4k/icons/sensor_refletancia.png", 40, 40, "*"))
        .appendField(new Blockly.FieldDropdown([[val_pouco, "POUCO"],[val_muito, "MUITO"]]), "REFLEXO")
		.appendField("Reflexo no lado")
        .appendField(new Blockly.FieldDropdown([[val_direito, "DIREITA"], [val_esquerdo, "ESQUERDA"]]), "DIRECAO");
    this.setOutput(true, null);
    this.setTooltip('');
    this.setHelpUrl('http://www.example.com/');
  }
};